package org.neuroph.contrib.tileclassification.model.plugin;

import java.awt.Dimension;
import java.io.Serializable;

import org.neuroph.contrib.tileclassification.model.labels.LabelResponses;
import org.neuroph.util.plugins.PluginBase;

public class TileClassificationPlugin extends PluginBase 
	implements Serializable 
{
	private static final long serialVersionUID = 1L;
	
	public static final String PLUGIN_NAME = "Tile Classification Plugin";
	
	private Dimension samplingResolution;
	private LabelResponses labelResponses;

	public TileClassificationPlugin(Dimension samplingResolution, LabelResponses labelResponses) {
		super(PLUGIN_NAME);
		this.samplingResolution = samplingResolution;
		this.labelResponses = labelResponses;
	}

	public Dimension getSamplingResolution() {
		return samplingResolution;
	}

	public LabelResponses getLabelResponses() {
		return labelResponses;
	}
}
